Could not load file or assembly 'CoreLab.MySql, Version=4.0.

Could not load file or assembly 'CoreLab.MySql, Version=4.0.

Postby stuarty » Mon 15 Dec 2008 17:23

hi
I am using the trial verion of LLBLGen pro and I get the above error when I try to create a new project. i am using the express mysql drivers, I tried the trial pro version but that did not work either
what do I need to do to get this to work?
tia
stuart
stuarty
 
Posts: 1
Joined: Mon 15 Dec 2008 17:12

Postby AndreyR » Tue 16 Dec 2008 12:30

Try to add into your app.config file the entry like described in the post
http://www.devart.com/forums/viewtopic.php?t=10414,
correcting it corresponding to the version of our components you have.
AndreyR
Devart Team
 
Posts: 2919
Joined: Mon 07 Jul 2008 13:16

Postby FransBouma » Tue 16 Dec 2008 17:07

The problem is that our code is compiled against CoreLab's v4.x assembly, which has a different strong name ('CoreLab' instead of 'DevArt'). So redirecting an assembly won't work, the names don't match.

Do you have v4.x still available, or assemblies which have the original names? The problem is that the name change made our software incompatible with your software and new users can't buy the v4.x provider anymore as it seems, and we are now faced with yet another upgrade problem, which isn't the first with your software.
FransBouma
 
Posts: 19
Joined: Fri 25 Nov 2005 10:43

Postby AndreyR » Mon 22 Dec 2008 08:24

Will MyDirect .NET 4.85 Trial edition for .NET 1.1 suit you?
AndreyR
Devart Team
 
Posts: 2919
Joined: Mon 07 Jul 2008 13:16

Postby AndreyR » Tue 23 Dec 2008 08:39

MyDirect .NET 4.85 Trial edition for .NET Framework 1.1 can be downloaded from here:
http://devart.com/dotconnect/mysql/download.html
MyDirect .NET will be also available in Registered Users' Area.
AndreyR
Devart Team
 
Posts: 2919
Joined: Mon 07 Jul 2008 13:16


Return to dotConnect for MySQL